From 20aaa20a5aa0cb74b7a190241a859c74c18c6ba8 Mon Sep 17 00:00:00 2001
From: Tony Wasserka <tony.wasserka@freenet.de>
Date: Mon, 19 Apr 2010 05:51:06 +0200
Subject: Add a stubbed D3DXDeclaratorFromFVF

---
 dlls/d3dx9_36/d3dx9_36.spec |    2 +-
 dlls/d3dx9_36/mesh.c        |   11 +++++++++++
 include/d3dx9mesh.h         |    2 ++
 3 files changed, 14 insertions(+), 1 deletions(-)

diff --git a/dlls/d3dx9_36/d3dx9_36.spec b/dlls/d3dx9_36/d3dx9_36.spec
index 0151f00..8b2796a 100644
--- a/dlls/d3dx9_36/d3dx9_36.spec
+++ b/dlls/d3dx9_36/d3dx9_36.spec
@@ -118,7 +118,7 @@
 @ stub D3DXCreateVolumeTextureFromResourceExW
 @ stub D3DXCreateVolumeTextureFromResourceW
 @ stdcall D3DXDebugMute(long)
-@ stub D3DXDeclaratorFromFVF
+@ stdcall D3DXDeclaratorFromFVF(long ptr)
 @ stub D3DXDisassembleEffect
 @ stub D3DXDisassembleShader
 @ stub D3DXFileCreate
diff --git a/dlls/d3dx9_36/mesh.c b/dlls/d3dx9_36/mesh.c
index d5a1b2b..44671e8 100644
--- a/dlls/d3dx9_36/mesh.c
+++ b/dlls/d3dx9_36/mesh.c
@@ -2,6 +2,7 @@
  * Mesh operations specific to D3DX9.
  *
  * Copyright (C) 2009 David Adam
+ * Copyright (C) 2010 Tony Wasserka
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -167,6 +168,16 @@ HRESULT WINAPI D3DXComputeBoundingSphere(CONST D3DXVECTOR3* pfirstposition, DWOR
 }
 
 /*************************************************************************
+ * D3DXDeclaratorFromFVF
+ */
+HRESULT WINAPI D3DXDeclaratorFromFVF(DWORD fvf, D3DVERTEXELEMENT9 Declaration[MAX_FVF_DECL_SIZE])
+{
+    FIXME("(%d, %p): stub\n", fvf, Declaration);
+    
+    return E_NOTIMPL;
+}    
+   
+/*************************************************************************
  * D3DXGetFVFVertexSize
  */
 static UINT Get_TexCoord_Size_From_FVF(DWORD FVF, int tex_num)
diff --git a/include/d3dx9mesh.h b/include/d3dx9mesh.h
index 84db95f..5773d24 100644
--- a/include/d3dx9mesh.h
+++ b/include/d3dx9mesh.h
@@ -1,5 +1,6 @@
 /*
  * Copyright (C) 2009 David Adam
+ * Copyright (C) 2010 Tony Wasserka
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
@@ -130,6 +131,7 @@ BOOL    WINAPI D3DXBoxBoundProbe(CONST D3DXVECTOR3 *, CONST D3DXVECTOR3 *, CONST
 BOOL    WINAPI D3DXSphereBoundProbe(CONST D3DXVECTOR3 *,FLOAT,CONST D3DXVECTOR3 *,CONST D3DXVECTOR3 *);
 HRESULT WINAPI D3DXComputeBoundingBox(CONST D3DXVECTOR3 *, DWORD, DWORD, D3DXVECTOR3 *, D3DXVECTOR3 *);
 HRESULT WINAPI D3DXComputeBoundingSphere(CONST D3DXVECTOR3 *, DWORD, DWORD, D3DXVECTOR3 *, FLOAT *);
+HRESULT WINAPI D3DXDeclaratorFromFVF(DWORD, D3DVERTEXELEMENT9[MAX_FVF_DECL_SIZE]);
 BOOL    WINAPI D3DXIntersectTri(CONST D3DXVECTOR3 *, CONST D3DXVECTOR3 *, CONST D3DXVECTOR3 *, CONST D3DXVECTOR3 *, CONST D3DXVECTOR3*, FLOAT *, FLOAT *, FLOAT *);
 
 #ifdef __cplusplus
-- 
1.6.4.4

